﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define j = Character("Juni", color="#88f")
define s = Character("SquareFlame", color="#f44")
define d = Character("TheDonster", color="#aa4")
define r = Character("RandomNPC", color="#4f4")
define p = Character("PineappleInk", color="#828")

# The game starts here.

label start:
    play music "audio/dooblydoo.ogg" fadeout 1
    scene door
    with dissolve
    "Step. Step. Step. Jingle. Clickity-click."

    show gloat happy
    with dissolve
    j "I am victorious!"

    show gloat smug
    with dissolve
    j "You are looking at the proud owner of a classic!"

    show gloat happy
    with dissolve
    j "I braved the depths and the dweebs of the {i}Gamers' Dungeon.{/i}"

    j "I sifted through the horrors of the bargain bin."

    j "And, I found a jewel that by all rights should have lain in the display case."

    show gloat smug
    with dissolve
    j "But, those droolers didn't know what they had!"

    j "....."

    scene look 1
    with dissolve
    j "Cube, are you even listening?"

    scene look 2
    with dissolve
    j "This is nearly the first video game I ever played."
    j "It's the first game I ever owned."
    j "Now I have the re-release on cube-cart!"

    play music "audio/intro255.ogg" fadeout 0.5
    scene cart
    with dissolve
    j "{i}The Ruins of EGA-Lana!{/i}"
    j "This game was big in Not-Quite-Asia, but didn't sell well in the West."
    j "In fact, I wanted {i}Spelunky{/i} but my parents got me this by accident."
    j "It's way harder than most games released in this part of the world."
    j "I sucked at it for so long, but I had nothing else to play."
    j "So, I kept at it until I was a pro."
    j "Thanks to {i}EGA-Lana{/i} I'm the best gamer among all my friends."

    scene insert 0
    with dissolve
    j "What? I have friends. ... Or, I did."

    show insert 1
    with dissolve
    "Gaak!"

    show insert 2
    with dissolve
    "Plok!"

    queue music "audio/song255.ogg"
    scene fail 1
    with dissolve
    show juni sit
    with dissolve
    j "Here we go. Oops, should have double-jumped."

    show juni sit:
        linear 0.3 xcenter 0.4
    show fail 2
    with dissolve

    j "Oh! Huh. Those spikes are too high to jump over."

    show juni sit:
        linear 0.15 xcenter 0.45
    show fail 3
    with dissolve
    j "Ah! I need to catch this ledge. Just missed it."

    show juni sit:
        linear 0.15 xcenter 0.4
    show fail 2
    with dissolve
    j "Jumped too late."

    show juni sit:
        linear 0.15 xcenter 0.45
    show fail 3
    with dissolve
    j "Too early."

    show juni sit:
        linear 0.2 xcenter 0.4
    show fail 1
    with dissolve
    j "Ha ha, guess I'm a little rusty."

    show juni sit:
        linear 0.3 xcenter 0.5
    show fail 3
    with dissolve
    j "OK! Time to get serious."
    j "I remember that you can move away from the wall first, then still jump twice."

    show juni sit:
        linear 0.15 xcenter 0.45
    show fail 2
    with dissolve
    j "Erk!"

    show juni sit:
        linear 0.15 xcenter 0.4
    show fail 3
    with dissolve
    j "Gah!"

    show juni sit:
        linear 0.15 xcenter 0.5
    show fail 1
    with dissolve
    j "Seriously?"

    scene later 1
    with fade
    "After an extended period of increasingly foul language..."

    scene fail win
    with fade
    show juni leap:
        xcenter 0.45 ycenter 1.0
        pause 0.2
        ease 0.8 ycenter 0.1
    j "I did it! Woo, yeah!"

    scene insert 3
    with dissolve
    "Snap!"

    scene fail 4
    with dissolve
    stop music fadeout 5
    j "No no no no no!"
    j "....."

    play music "audio/introreversed.ogg" fadeout 1
    scene insert 4
    with dissolve
    j "Cube, are you OK? I'm sorry about your face."

    scene insert 5
    with dissolve
    j "I don't understand how I can be this bad at it."

    scene look 3
    with dissolve
    j "Wait... \"Lunatic version\"?"
    j "\"Never before released to western markets, because they are full of baby gamers.\""
    j "I need to take a break from this for a while, but first let's bandage your eye."

    stop music fadeout 3
    scene later 2
    with dissolve
    "Somewhere within a deep forest..."

    play music "audio/dooblydoo.ogg" fadeout 1
    scene grass
    with dissolve
    j "This sun feels nice. I should spend more time in it."
    j "I should get some real friends too, but I gotta still make time for Cube."
    j "I don't want him to get lonely."

    stop music fadeout 3
    scene later 3
    with dissolve
    "Unbeknownst to Juni, Cube led a rich cyber-life."

    play music "audio/song255.ogg" fadeout 1
    scene twitch
    with dissolve
    p "has joined the chat"
    s "welcome pi. cubie is crushing this speed run."
    d "Obliterating is more like it. True Lunatic, no deaths,\nunder 10min, and they haven't saved once."
    p "whoa, this is EGAL history in progress"
    r "has to be machine assisted"
    d "no way, cubie's a living legend"
    s "Cubie is a gaming machine, literally."
    p "Love the eye patch btw ;)"

    scene fin
    with dissolve
    stop music fadeout 5
    pause 5

    # This ends the game.

    return
